## ros-galactic-ament-cmake-export-dependencies 1.1.6

=== debian/changelog ===
ros-galactic-ament-cmake-export-dependencies (1.1.6-1focal) focal; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.1.5-1focal) focal; urgency=high

  * Update maintainers (backport #362 <https://github.com/ament/ament_cmake/issues/362>) (#370 <https://github.com/ament/ament_cmake/issues/370>).
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.1.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 May 2021 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.1.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.1.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 Feb 2021 06:59:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.1.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 Feb 2021 03:12:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.1.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Feb 2021 08:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.0.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.0.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.0.2-1focal) focal; urgency=high

  * fix cmake list(TRANSFORM ) is only available from version 3.12, (#296 <https://github.com/ament/ament_cmake/issues/296>)
    convert to string instead
  * fix imported targets with multiple configuration (#290 <https://github.com/ament/ament_cmake/issues/290>)
    * fix imported targets with multiple configuration
    * taking into account DEBUG_CONFIGURATIONS global variable
  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo, siposcsaba89

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 07 Dec 2020 08:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Sep 2020 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.9.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.9.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.9.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.9.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.9.2-1focal) focal; urgency=high

  * redo use _TARGETS over deprecated _INTERFACES over classic CMake variables (#251 <https://github.com/ament/ament_cmake/issues/251>)
    * redo use _TARGETS over deprecated _INTERFACES over classic CMake variables
    * update ament_export_dependencies accordingly
    * also add IMPORTED_LOCATION to the libraries
    * simplify conditions
    * consider IMPORTED_IMPLIB for Windows
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 22:45:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.9.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 19:25:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.8.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.8.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.7.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.7.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.7.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 May 2019 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.7.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.6.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Nov 2018 08:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.5.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.5.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Jun 2018 07:00:00 -0000

ros-galactic-ament-cmake-export-dependencies (0.4.0-1focal) focal; urgency=high

  * 0.0.3
  * 0.0.2
  * Merge pull request #71 <https://github.com/ament/ament_cmake/issues/71> from ament/export_link_flags
    add ament_cmake_export_link_flags package and use link flags in ament_target_dependencies

